## libgcrypt-py 0.1.0-1

=== Makefile ===

all:
	python setup.py build
	echo "All done."

install:
	python setup.py install

clean:
	rm -rf *.pyc build

.PHONY: all clean

=== debian/changelog ===
libgcrypt-py (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Henning Spruth <henning.spruth@olocs.com>  Tue, 24 Nov 2009 20:57:39 -0600

=== debian/control ===
Source: libgcrypt-py
Section: libs
Priority: extra
Maintainer: Henning Spruth <henning.spruth@olocs.com>
Build-Depends: debhelper (>= 5),
 python2.5-dev,
 libgcrypt11-dev,
 libgcrypt11
Standards-Version: 3.7.3
Homepage: http://sourceforge.net/projects/libgcrypt-py

Package: libgcrypt-py
Architecture: any
Depends: python2.5, libgcrypt11
Description: Python bindings for libgcrypt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1






# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	python2.5 setup.py build
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -fr build

	dh_clean 


targetdir:=$(CURDIR)/debian/libgcrypt-py

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	python2.5 setup.py install --prefix $(targetdir)/usr
	echo "Creating __init__.py"
	touch $(targetdir)/usr/lib/python2.5/site-packages/_Gcrypt/__init__.py
	rm -f $(targetdir)/usr/lib/python2.5/site-packages/*.pyc
	python2.5 -m compileall $(targetdir)/usr/lib/python2.5/site-packages


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
